Package ru.bitel.oss.systems.inventory.resource.server.bean

# Class VlanResourceSubscriptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VlanResourceSubscription>
ru.bitel.oss.systems.inventory.resource.server.bean.VlanResourceSubscriptionDao

All Implemented Interfaces:
  `AutoCloseable`

public class VlanResourceSubscriptionDao extends ru.bitel.common.dao.AbstractDao<VlanResourceSubscription>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VlanResourceSubscriptionDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deleteBySubscriberId(int subscriberId)`
  Deprecated.
  use `deleteBySubscriberId(short, int)`
  `int`
  `deleteBySubscriberId(short subscriberType, int subscriberId)`
  Удаление всех подписок подписчика.
  `protected VlanResourceSubscription`
  `getFromRS(ResultSet rs)`
  `List<VlanResourceSubscription>`
  `list(int vlanResourceId, Date dateFrom, Date dateTo)`
  Возвращаетс список подписок на указанный период (пересечение периода).
  `Result<VlanResourceSubscription>`
  `list(int vlanResourceId, Date dateFrom, Date dateTo, Page page)`
  Возвращаетс список подписок на указанный период (пересечение периода) c пейджинацией.
  `Set<Integer>`
  `subscribedVlans(int vlanResourceId, Date dateFrom, Date dateTo)`
  Возвращает список используемых VLAN на указанный период (пересечение периода).
  `protected void`
  `updateImpl(VlanResourceSubscription b)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VlanResourceSubscriptionDao

    public VlanResourceSubscriptionDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected VlanResourceSubscription getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VlanResourceSubscription>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(VlanResourceSubscription b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VlanResourceSubscription>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### subscribedVlans

    public Set<Integer> subscribedVlans(int vlanResourceId, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Возвращает список используемых VLAN на указанный период (пересечение периода).
    Parameters:
      `vlanResourceId` -
      `dateFrom` -
      `dateTo` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<VlanResourceSubscription> list(int vlanResourceId, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Возвращаетс список подписок на указанный период (пересечение периода).
    Parameters:
      `vlanResourceId` -
      `dateFrom` -
      `dateTo` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public Result<VlanResourceSubscription> list(int vlanResourceId, Date dateFrom, Date dateTo, Page page) throws ru.bitel.bgbilling.common.BGException
    Возвращаетс список подписок на указанный период (пересечение периода) c пейджинацией.
    Parameters:
      `vlanResourceId` -
      `dateFrom` -
      `dateTo` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteBySubscriberId

    @Deprecated public int deleteBySubscriberId(int subscriberId) throws Exception
    Deprecated.
    use `deleteBySubscriberId(short, int)`
    Удаление всех подписок подписчика.
    Parameters:
      `subscriberId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### deleteBySubscriberId

    public int deleteBySubscriberId(short subscriberType, int subscriberId) throws Exception
    Удаление всех подписок подписчика.
    Parameters:
      `subscriberId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`